apiVersion: apps/v1
kind: Deployment
metadata:
  name: cms-deployment
spec:
  replicas: 1
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
#  template:
#    spec:
#      nodeName: master
#      nodeSelector:
#        on-master: "true"
#      affinity:
#        podAntiAffinity:
#          requiredDuringSchedulingIgnoredDuringExecution:
#            - labelSelector:
#                matchExpressions:
#                  - key: nodeName
#                    operator: Eq
#                    values:
#                      - master
